Download it now!
Bug 133589 - add transliteration support for Old Hungarian
Summary: add transliteration support for Old Hungarian
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:7....
Keywords:
Depends on:
Blocks: 103405
  Show dependency treegraph
 
Reported: 2020-06-01 16:57 UTC by László Németh
Modified: 2020-08-09 09:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2020-06-01 16:57:01 UTC
Old Hungarian (ISO 15924: Hung) is a historical and renewed script which is still in use to transliterate Hungarian writing, see https://en.wikipedia.org/wiki/Old_Hungarian_script.

As a localized AutoCorrect feature, I suggest the following minimal transliteration support:

– word-by-word transliteration of Hungarian texts in right-to-left mode.

– consonant disambiguation of digraphs and trigraphs based on hyphenation (now pattern-based Huhyphn dictionary of libhyphen, planned dictionary based Hunspell later)

– transliteration by Numbertext library

More information:

https://www.researchgate.net/publication/326855248_Sandor_Klara_2017_A_szekely_iras_reneszansza_%27The_Renaissance_of_the_Szekely_Script%27_Budapest_Typotext_311_pp
Comment 1 Commit Notification 2020-06-02 16:41:47 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/da64ec8c8a91db6a6ec9657898f081d5ee67e739

tdf#133589 AutoCorrect: transliterate to Old Hungarian

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2020-06-05 14:58:13 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/daa6caafb35c2f263518910f82359f73c0794b63

tdf#133589 AutoCorrect: transliterate to Old Hungarian

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 V Stuart Foote 2020-06-05 15:12:00 UTC
@ László, cool. 

So IIUC usage for now is simply hu-HU local, and place the paragraph mode into RTL, then enter text on standard keyboard. The autocorrect will do the Unicode assignment into the Unicode 10C80-10CFF block, and system will manage the font fallback (or do you have to make a font assignment)?
Comment 4 V Stuart Foote 2020-06-05 15:13:02 UTC
s/local/locale
Comment 5 László Németh 2020-06-06 08:38:37 UTC
(In reply to V Stuart Foote from comment #3)

Thanks! Yes, it is. The patch doesn't use font assignment or any other paragraph settings, only Unicode transliteration. The Old Hungarian font fallback works with the default Hindi CTL settings in this screencast: 

https://bit.ly/2UfR4JT

We plan to ship the Noto Old Hungarian font (~40 kB) with the Hungarian LibreOffice build to avoid of the missing font.

Unfortunately, Windows has got some problem with regex support of Unicode non-BMP character area (place of the Old Hungarian characters), at least the latest version of hu-Hung.sor transliteration module of Numbertext library resulted bad characters here, so first I started to investigate this problem. I will write a blog post about the development details soon, maybe it would be useful for other languages, too. (For example, the planned dictionary-based hyphenation could be useful for not only agglutinative languages, but for languages with huge number of custom compound words, like Danish, Dutch, German, Norwegian and Swedish.)
Comment 6 Commit Notification 2020-06-18 09:17:46 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/41f926e7a8adf92e73a810227e049ec83ab104bf

tdf#133589 Numbertext: fix Hung encoding on Windows

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-06-18 15:45:33 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/21a59b59d9a40ca32d91b05e62ffcd9aef8fd324

tdf#133589 Numbertext: Use Win32API to avoid std::codecvt_utf8 bug

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-06-25 11:50:57 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/dc7b1a09001638d5d6737e9bdf394f3a571ef044

tdf#133589 Numbertext: Use Win32API to avoid std::codecvt_utf8 bug

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-07-03 15:25:38 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/4e7e70de93368b2d4de54665245484929d76eb90

tdf#133524 tdf#133589 (related) Document new "Localized options"
Comment 10 Commit Notification 2020-07-03 18:28:52 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/help/commit/b19726b8cef00d9e3c9b03b447a0c66fc1ef8267

tdf#133524 tdf#133589 (related) Document new "Localized options"